// Wrapper.cpp
#include "Wrapper.h"
#include "MyClass.h"

MyClassPtr
CreateMyClass()
{
  return reinterpret_cast<MyClassPtr>(new MyClass());
}

void
DestroyMyClass(MyClassPtr obj)
{
  delete reinterpret_cast<MyClass*>(obj);
}

void
SetMyClassValue(MyClassPtr obj, int val)
{
  reinterpret_cast<MyClass*>(obj)->SetValue(val);
}

int
GetMyClassValue(MyClassPtr obj)
{
  return reinterpret_cast<MyClass*>(obj)->GetValue();
}
